/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
int balance(int *l_59, int *n, double *a, int *l_60, int *l_61, double *l_62);
int balance(int *l_59, int *n, double *l_38, double *l_39, int *l_60, int *l_61, double *l_62);
int l_63(int *l_59, int *n, int *l_60, int *l_61, double *l_62, int *m, double *l_64);
int l_63(int *l_59, int *n, int *l_60, int *l_61, double *l_62, int *m, double *l_65, double *l_66);
int l_67(int *l_59, int *n, int *l_60, int *l_61, double *a, int *int__, double *l_64);
int l_68(int *l_59, int *n, int *l_60, int *l_61, double *a, int *int__);
int l_69(int *l_59, int *n, double *l_38, double *l_39, double *l_70, int *m, double *l_65, double *l_66);
int l_71(int *l_59, int *n, double *l_38, double *l_39, double *d, double *l_1, double *l_72, double *l_70);
int l_73(int *n, double *d, double *l_1, int *l_74);
int l_75(int *l_59, int *n, double *d, double *l_1, double *l_64, int *l_74);
int l_76(int *l_59, int *n, int *l_60, int *l_61, double *l_38, double *l_77);
int l_76(int *l_59, int *n, int *l_60, int *l_61, double *l_38, double *l_39, double *l_77, double *l_78);
int l_79(int *l_59, int *n, int *l_60, int *l_61, double *a, double *l_80, double *l_64);
int qr(int *l_59, int *n, int *l_60, int *l_61, double *h, double *l_81, double *l_82, int *l_74);
int qr(int *l_59, int *n, int *l_60, int *l_61, double *l_83, double *l_84, double *l_81, double *l_82, int *l_74);
int l_85(int *l_59, int *n, int *l_60, int *l_61, double *h, double *l_81, double *l_82, double *l_64, int *l_74);
int l_85(int *l_59, int *n, int *l_60, int *l_61, double *l_77, double *l_78, double *l_83, double *l_84, double *l_81, double *l_82, double *l_65, double *l_66, int *l_74);
int l_85(int *l_59, int *n, int *l_60, int *l_61, double *l_77, double *l_78, double *l_83, double *l_84, double *l_81, double *l_82, double *l_65, double *l_66, int *l_86, int *l_74);
int l_87(int *l_59, int *n, double *a, double *l_33, int *l_88, double *l_64);
int l_89(int *l_59, int *n, double *a, double *l_33, double *l_90, int *l_88, double *l_64, int *l_74);
int l_91(int *l_59, int *n, double *a, double *l_33, double *l_92, double *l_93, double *l_35, int *l_88, double *l_64);
int l_94(int *l_59, int *n, double *a, double *l_33, double *l_92, double *l_93, double *l_35, double *l_64);
